com.smartgwt.client.widgets.form.fields

## Class StaticTextItem

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.data.Field
        - - com.smartgwt.client.widgets.form.fields.FormItem
          - - com.smartgwt.client.widgets.form.fields.StaticTextItem

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasBlurHandlers, HasChangedHandlers, HasChangeHandlers, HasClickHandlers, HasDoubleClickHandlers, HasEditorEnterHandlers, HasEditorExitHandlers, HasFocusHandlers, HasIconClickHandlers, HasIconKeyPressHandlers, HasItemHoverHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers, HasPendingStatusChangedHandlers, HasPickerIconClickHandlers, HasShowContextMenuHandlers, HasTitleClickHandlers, HasTitleDoubleClickHandlers, HasTitleHoverHandlers, HasValueHoverHandlers, HasValueIconClickHandlers
  Direct Known Subclasses:
    LinkItem, MiniDateRangeItem, MultiPickerItem

      public class StaticTextItem
      extends FormItem

  A FormItem that displays an uneditable value.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `FormItem.CustomStateGetter, FormItem.StateCustomizer`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `configOnly, scClassName, warnOnEditorTypeConversion, warnOnEditorTypeConversionDefault`

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticTextItem()`
    `StaticTextItem(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `StaticTextItem(java.lang.String name)`
    `StaticTextItem(java.lang.String name, java.lang.String title)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `static void` | `changePickerIconDefaults(FormItemIcon defaults)`
    `boolean` | `getApplyAlignToText()` If the `textAlign` is unset, should the `align` setting, if set, be used for this `StaticTextItem`'s `textAlign`?
    `java.lang.Boolean` | `getApplyHeightToTextBox()` If `FormItem.height` is specified, should it be applied to the item's text box element?
    `boolean` | `getCanSelectText()` Should the user be able to select the text in this item?
    `java.lang.Boolean` | `getClipValue()` If true, text that exceeds the specified size of the form item will be clipped.
    `DateDisplayFormat` | `getDateFormatter()` Display format to use for date type values within this formItem.
    `java.lang.String` | `getDefaultValue()` Overridden to assign class-appropriate type.
    `java.lang.String` | `getEditProxyConstructor()` Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    `java.lang.Boolean` | `getEscapeHTML()` By default HTML values in a staticTextItem will be interpreted by the browser.
    `static StaticTextItem` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getTextBoxStyle()` Base CSS class for this item
    `java.lang.Boolean` | `getWrap()` If true, item contents can wrap.
    `StaticTextItem` | `setApplyAlignToText(boolean applyAlignToText)` If the `textAlign` is unset, should the `align` setting, if set, be used for this `StaticTextItem`'s `textAlign`?
    `StaticTextItem` | `setApplyHeightToTextBox(java.lang.Boolean applyHeightToTextBox)` If `FormItem.height` is specified, should it be applied to the item's text box element?
    `StaticTextItem` | `setCanSelectText(boolean canSelectText)` Should the user be able to select the text in this item?
    `StaticTextItem` | `setClipValue(java.lang.Boolean clipValue)` If true, text that exceeds the specified size of the form item will be clipped.
    `StaticTextItem` | `setDateFormatter(DateDisplayFormat dateFormatter)` Display format to use for date type values within this formItem.
    `static void` | `setDefaultProperties(StaticTextItem staticTextItemProperties)` Class level method to set the default properties of this class.
    `StaticTextItem` | `setEditProxyConstructor(java.lang.String editProxyConstructor)` Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    `StaticTextItem` | `setEscapeHTML(java.lang.Boolean escapeHTML)` By default HTML values in a staticTextItem will be interpreted by the browser.
    `StaticTextItem` | `setTextBoxStyle(java.lang.String textBoxStyle)` Base CSS class for this item
    `StaticTextItem` | `setWrap(java.lang.Boolean wrap)` If true, item contents can wrap.

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIcon, addIcon, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPendingStatusChangedHandler, addPickerIconClickHandler, addShowContextMenuHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, addValueIconClickHandler, applyFormula, asSGWTComponent, blurItem, canEditCriterion, checkFormItemType, clearErrors, clearValue, disable, disableIcon, enable, enableIcon, error, error, errorIfNotCreated, focusAfterItem, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysFetchMissingValues, getAlwaysShowControlBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsObject, getAttributeAsString, getAutoComplete, getAutoCompleteKeywords, getBrowserInputType, getBrowserSpellCheck, getCanEdit, getCanEditOpaqueValues, getCanFocus, getCanHover, getCanTabToIcons, getCanvasAutoChild, getCellHeight, getCellStyle, getChangeOnKeypress, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getControlStyle, getCriteriaField, getCriterion, getCriterion, getCursorPosition, getCustomState, getDataPath, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDefaultOperator, getDestroyed, getDisabled, getDisabledHover, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEmptyDisplayValue, getEmptyValueIcon, getEndRow, getErrorIconHeight, getErrorIconProperties, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getErrors, getExportFormat, getExtraControlTableCSS, getExtraTextBoxCSS, getFetchMissingValues, getFieldName, getFilterLocally, getForeignDisplayField, getForm, getFormat, getFormItemAutoChild, getFormula, getFullDataPath, getGlobalTabIndex, getGridColNum, getGridRowNum, getHeight, getHeightAsString, getHidden, getHint, getHintStyle, getHoverAlign, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHeightAsString, getHoverOpacity, getHoverPersist, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWidthAsString, getIcon, getIconBaseStyle, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIcons, getIconTabPosition, getIconVAlign, getIconWidth, getID, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getLinearColSpan, getLinearColSpanAsString, getLinearEndRow, getLinearEndRowAsString, getLinearStartRow, getLinearStartRowAsString, getLinearWidth, getLinearWidthAsString, getListGrid, getLoadingDisplayValue, getLocateItemBy, getMinHintWidth, getMultiple, getMultipleValueSeparator, getName, getNullOriginalValueText, getOperator, getOptionCriteria, getOptionDataSource, getOptionDataSourceAsString, getOptionFilterContext, getOptionOperationId, getOptionTextMatchStyle, getOriginalValueMessage, getPageLeft, getPageRect, getPageTop, getPaletteDefaults, getPicker, getPickerIcon, getPickerIcon, getPickerIconHeight, getPickerIconName, getPickerIconPrompt, getPickerIconProperties, getPickerIconSrc, getPickerIconStyle, getPickerIconTabPosition, getPickerIconWidth, getPixelHeight, getPixelWidth, getPrintReadOnlyTextBoxStyle, getPrintTextBoxStyle, getPrintTitleStyle, getPrompt, getReadOnlyCanSelectText, getReadOnlyControlStyle, getReadOnlyDisplay, getReadOnlyHover, getReadOnlyTextBoxStyle, getReadOnlyWhen, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRequiredRightTitlePrefix, getRequiredRightTitleSuffix, getRequiredTitlePrefix, getRequiredTitleSuffix, getRequiredWhen, getRightTitlePrefix, getRightTitleSuffix, getRowSpan, getSaveOnEnter, getScClassName, getSelectedRecord, getSelectOnClick, getSelectOnFocus, getShouldSaveValue, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDeletions, getShowDisabled, getShowDisabledIconsOnFocus, getShowDisabledPickerIconOnFocus, getShowErrorIcon, getShowErrorIconInline, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowIconsOnFocus, getShowImageAsURL, getShowOldValueInHover, getShowOver, getShowOverIcons, getShowPending, getShowPickerIcon, getShowPickerIconOnFocus, getShowRTL, getShowTitle, getShowValueIconOnly, getStartRow, getStaticHeight, getStopOnError, getStoreDisplayValues, getSupportsCutPasteEvents, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTextFormula, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitlePrefix, getTitleStyle, getTitleSuffix, getTitleVAlign, getTooltip, getTop, getType, getUpdateControlOnOver, getUpdatePickerIconOnOver, getUpdateTextBoxOnOver, getUseAdvancedCriteria, getUseDisabledHintStyleForReadOnly, getUseLocalDisplayFieldValue, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsFloat, getValueAsInteger, getValueAsLong, getValueAsRecordList, getValueDeselectedCSSText, getValueField, getValueFieldName, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getValueMap, getValueMapAsArray, getVisible, getVisibleHeight, getVisibleTitleWidth, getVisibleWhen, getVisibleWidth, getWarnOnEditorTypeConversion, getWarnOnEditorTypeConversionDefault, getWidth, getWidthAsString, getWrapHintText, getWrapStaticValue, getWrapTitle, handleWarnOnEditorTypeConversion, hasAdvancedCriteria, hasErrors, hide, hideIcon, invalidateDisplayValueCache, isAssignableFrom, isConfigOnly, isCreated, isCutEvent, isDisabled, isDrawn, isFocused, isInGrid, isPasteEvent, isVisible, linkToInstanceUponCreate, mapDisplayToValue, mapValueToDisplay, mapValueToDisplay, mapValueToDisplay, redraw, redraw, removeIcon, selectedRecordChanged, setAccessKey, setAlign, setAllowExpressions, setAlwaysFetchMissingValues, setAlwaysShowControlBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoComplete, setAutoCompleteKeywords, setBrowserInputType, setBrowserSpellCheck, setCanEdit, setCanEditCriterionPredicate, setCanEditOpaqueValues, setCanFocus, setCanHover, setCanTabToIcons, setCellHeight, setCellStyle, setChangeOnKeypress, setClipStaticValue, setClipTitle, setColSpan, setColSpan, setConfigOnly, setControlStyle, setCriteriaField, setCriterion, setCriterionGetter, setCriterionSetter, setCustomStateGetter, setDataPath, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultOperator, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDisabled, setDisabledHover, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEmptyDisplayValue, setEmptyValueIcon, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconProperties, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setErrors, setErrors, setExportFormat, setExtraControlTableCSS, setExtraTextBoxCSS, setFetchMissingValues, setFilterLocally, setForeignDisplayField, setFormat, setFormula, setGlobalTabIndex, setHeight, setHeight, setHidden, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverHeight, setHoverOpacity, setHoverPersist, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWidth, setIconBaseStyle, setIconDisabled, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconShowOnFocus, setIconVAlign, setIconWidth, setID, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setJavaScriptObject, setLeft, setLinearColSpan, setLinearColSpan, setLinearEndRow, setLinearEndRow, setLinearStartRow, setLinearStartRow, setLinearWidth, setLinearWidth, setLoadingDisplayValue, setLocateItemBy, setMinHintWidth, setMultiple, setMultipleValueSeparator, setName, setNullOriginalValueText, setNullProperty, setOperator, setOptionCriteria, setOptionDataSource, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOptionTextMatchStyle, setOriginalValueMessage, setPickerIconHeight, setPickerIconName, setPickerIconPrompt, setPickerIconProperties, setPickerIconSrc, setPickerIconStyle, setPickerIconWidth, setPrintReadOnlyTextBoxStyle, setPrintTextBoxStyle, setPrintTitleStyle, setPrompt, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyCanSelectText, setReadOnlyControlStyle, setReadOnlyDisplay, setReadOnlyHover, setReadOnlyTextBoxStyle, setReadOnlyWhen, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRequiredRightTitlePrefix, setRequiredRightTitleSuffix, setRequiredTitlePrefix, setRequiredTitleSuffix, setRequiredWhen, setRightTitlePrefix, setRightTitleSuffix, setRowSpan, setSaveOnEnter, setScClassName, setSelectOnClick, setSelectOnFocus, setShouldSaveValue, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDeletions, setShowDisabled, setShowDisabledIconsOnFocus, setShowDisabledPickerIconOnFocus, setShowErrorIcon, setShowErrorIconInline, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIconsOnFocus, setShowIfCondition, setShowImageAsURL, setShowOldValueInHover, setShowOver, setShowOverIcons, setShowPending, setShowPickerIcon, setShowPickerIconOnFocus, setShowRTL, setShowTitle, setShowValueIconOnly, setStartRow, setStateCustomizer, setStaticHeight, setStopOnError, setStoreDisplayValues, setSupportsCutPasteEvents, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTextFormula, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitlePrefix, setTitleStyle, setTitleSuffix, setTitleVAlign, setTooltip, setTop, setType, setUpdateControlOnOver, setUpdatePickerIconOnOver, setUpdateTextBoxOnOver, setUseAdvancedCriteria, setUseDisabledHintStyleForReadOnly, setUseLocalDisplayFieldValue, setUseObjectFactoryForTypeFallback, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueDeselectedCSSText, setValueField, setValueFormatter, setValueHoverFormatter, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setVisibleWhen, setWarnOnEditorTypeConversion, setWarnOnEditorTypeConversionDefault, setWidth, setWidth, setWrapHintText, setWrapStaticValue, setWrapTitle, shouldApplyHeightToTextBox, shouldFetchMissingValue, shouldSaveOnEnter, shouldStopKeyPressBubbling, show, showIcon, showPicker, stopHover, storeValue, storeValue, updateState, validate, valueClipped`

    - ### Methods inherited from class com.smartgwt.client.data.Field

      `getCanExport, getExportTitle, getSortByField, setCanExport, setExportTitle, setSortByField`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### StaticTextItem

          public StaticTextItem()

    - #### StaticTextItem

          public StaticTextItem(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### StaticTextItem

          public StaticTextItem(java.lang.String name)

    - #### StaticTextItem

          public StaticTextItem(java.lang.String name,
                                java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static StaticTextItem getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changePickerIconDefaults

          public static void changePickerIconDefaults(FormItemIcon defaults)

    - #### setApplyAlignToText

          public StaticTextItem setApplyAlignToText(boolean applyAlignToText)

      If the `textAlign` is unset, should the `align` setting, if set, be used for this `StaticTextItem`'s `textAlign`?

      Note : This is an advanced setting

      Overrides:
        `setApplyAlignToText` in class `FormItem`
      Parameters:
        `applyAlignToText` - New applyAlignToText value. Default value is true
      Returns:
        `StaticTextItem` instance, for chaining setter calls
      See Also:
        `Appearance overview and related methods`

    - #### getApplyAlignToText

          public boolean getApplyAlignToText()

      If the `textAlign` is unset, should the `align` setting, if set, be used for this `StaticTextItem`'s `textAlign`?
      Overrides:
        `getApplyAlignToText` in class `FormItem`
      Returns:
        Current applyAlignToText value. Default value is true
      See Also:
        `Appearance overview and related methods`

    - #### setApplyHeightToTextBox

          public StaticTextItem setApplyHeightToTextBox(java.lang.Boolean applyHeightToTextBox)

      If `FormItem.height` is specified, should it be applied to the item's text box element?

      Overridden to be `false` for StaticTextItems by default.

      See `shouldApplyHeightToTextBox()` for more information.

      Note : This is an advanced setting

      Overrides:
        `setApplyHeightToTextBox` in class `FormItem`
      Parameters:
        `applyHeightToTextBox` - New applyHeightToTextBox value. Default value is false
      Returns:
        `StaticTextItem` instance, for chaining setter calls

    - #### getApplyHeightToTextBox

          public java.lang.Boolean getApplyHeightToTextBox()

      If `FormItem.height` is specified, should it be applied to the item's text box element?

      Overridden to be `false` for StaticTextItems by default.

      See `shouldApplyHeightToTextBox()` for more information.

      Overrides:
        `getApplyHeightToTextBox` in class `FormItem`
      Returns:
        Current applyHeightToTextBox value. Default value is false

    - #### setCanSelectText

          public StaticTextItem setCanSelectText(boolean canSelectText)

      Should the user be able to select the text in this item?
      Overrides:
        `setCanSelectText` in class `FormItem`
      Parameters:
        `canSelectText` - New canSelectText value. Default value is true
      Returns:
        `StaticTextItem` instance, for chaining setter calls

    - #### getCanSelectText

          public boolean getCanSelectText()

      Should the user be able to select the text in this item?
      Overrides:
        `getCanSelectText` in class `FormItem`
      Returns:
        Current canSelectText value. Default value is true

    - #### setClipValue

          public StaticTextItem setClipValue(java.lang.Boolean clipValue)

      If true, text that exceeds the specified size of the form item will be clipped. Note that for horizontal clipping to occur, `wrap` should be set to false - otherwise the text will typically wrap at the specified width. For vertical clipping to occur, `applyHeightToTextBox` should be explicitly set to `true` as the Text Box element is responsible for clipping the content.
      Parameters:
        `clipValue` - New clipValue value. Default value is false
      Returns:
        `StaticTextItem` instance, for chaining setter calls
      See Also:
        `Appearance overview and related methods`

    - #### getClipValue

          public java.lang.Boolean getClipValue()

      If true, text that exceeds the specified size of the form item will be clipped. Note that for horizontal clipping to occur, `wrap` should be set to false - otherwise the text will typically wrap at the specified width. For vertical clipping to occur, `applyHeightToTextBox` should be explicitly set to `true` as the Text Box element is responsible for clipping the content.
      Returns:
        Current clipValue value. Default value is false
      See Also:
        `Appearance overview and related methods`

    - #### setDateFormatter

          public StaticTextItem setDateFormatter(DateDisplayFormat dateFormatter)

      Display format to use for date type values within this formItem.

      Note that Fields of type `"date"`, `"datetime"` or `"time"` will be edited using a `DateItem` or `TimeItem` by default, but this can be overridden - for `canEdit:false` fields, a `StaticTextItem` is used by default, and the developer can always specify a custom `FormItem.editorType` as well as `data type`.

      The `FormItem.timeFormatter` may also be used to format underlying Date values as times (ommitting the date part entirely). If both `dateFormatter` and `timeFormatter` are specified on an item, for fields specified as `type "time"` the `timeFormatter` will be used, otherwise the `dateFormatter`

      If `item.dateFormatter` and `item.timeFormatter` is unspecified, date display format may be defined at the component level via `DynamicForm.dateFormatter`, or for fields of type `"datetime"` `DynamicForm.datetimeFormatter`. Otherwise for fields of type "date", default is to use the system-wide default short date format, configured via `DateUtil.setShortDisplayFormat()`. For fields of type "datetime" or for Date values in fields whose type does not inherit from the logical "date" type, default is to use the system-wide normal date format configured via `DateUtil.setNormalDisplayFormat()` (using "toNormalDate()" on logical `"date"` type fields is not desirable as this would display the time component of the date object to the user).
      Specify any valid `DateDisplayFormat` to change the format used by this item.

      Note : This is an advanced setting

      Overrides:
        `setDateFormatter` in class `FormItem`
      Parameters:
        `dateFormatter` - New dateFormatter value. Default value is null
      Returns:
        `StaticTextItem` instance, for chaining setter calls
      See Also:
        `FormItem.setTimeFormatter(com.smartgwt.client.types.TimeDisplayFormat)`, `Appearance overview and related methods`

    - #### getDateFormatter

          public DateDisplayFormat getDateFormatter()

      Display format to use for date type values within this formItem.

      Note that Fields of type `"date"`, `"datetime"` or `"time"` will be edited using a `DateItem` or `TimeItem` by default, but this can be overridden - for `canEdit:false` fields, a `StaticTextItem` is used by default, and the developer can always specify a custom `FormItem.editorType` as well as `data type`.

      The `FormItem.timeFormatter` may also be used to format underlying Date values as times (ommitting the date part entirely). If both `dateFormatter` and `timeFormatter` are specified on an item, for fields specified as `type "time"` the `timeFormatter` will be used, otherwise the `dateFormatter`

      If `item.dateFormatter` and `item.timeFormatter` is unspecified, date display format may be defined at the component level via `DynamicForm.dateFormatter`, or for fields of type `"datetime"` `DynamicForm.datetimeFormatter`. Otherwise for fields of type "date", default is to use the system-wide default short date format, configured via `DateUtil.setShortDisplayFormat()`. For fields of type "datetime" or for Date values in fields whose type does not inherit from the logical "date" type, default is to use the system-wide normal date format configured via `DateUtil.setNormalDisplayFormat()` (using "toNormalDate()" on logical `"date"` type fields is not desirable as this would display the time component of the date object to the user).
      Specify any valid `DateDisplayFormat` to change the format used by this item.

      Overrides:
        `getDateFormatter` in class `FormItem`
      Returns:
        Current dateFormatter value. Default value is null
      See Also:
        `FormItem.getTimeFormatter()`, `Appearance overview and related methods`

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Overridden to assign class-appropriate type.
      Overrides:
        `getDefaultValue` in class `FormItem`
      Returns:
        Current defaultValue value. Default value is null
      See Also:
        `FormItem.getDefaultValue()`

    - #### setEditProxyConstructor

          public StaticTextItem setEditProxyConstructor(java.lang.String editProxyConstructor)

      Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
      Overrides:
        `setEditProxyConstructor` in class `FormItem`
      Parameters:
        `editProxyConstructor` - New editProxyConstructor value. Default value is "TextItemEditProxy"
      Returns:
        `StaticTextItem` instance, for chaining setter calls
      See Also:
        `SCClassName`

    - #### getEditProxyConstructor

          public java.lang.String getEditProxyConstructor()

      Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
      Overrides:
        `getEditProxyConstructor` in class `FormItem`
      Returns:
        Current editProxyConstructor value. Default value is "TextItemEditProxy"
      See Also:
        `SCClassName`

    - #### setEscapeHTML

          public StaticTextItem setEscapeHTML(java.lang.Boolean escapeHTML)

      By default HTML values in a staticTextItem will be interpreted by the browser. Setting this flag to true causes HTML characters to be escaped, meaning the raw value of the field (for example `"<b>AAA</b>"`) is displayed to the user rather than the interpreted HTML (for example `"AAA"`)
      Overrides:
        `setEscapeHTML` in class `FormItem`
      Parameters:
        `escapeHTML` - New escapeHTML value. Default value is false
      Returns:
        `StaticTextItem` instance, for chaining setter calls
      See Also:
        `Appearance overview and related methods`

    - #### getEscapeHTML

          public java.lang.Boolean getEscapeHTML()

      By default HTML values in a staticTextItem will be interpreted by the browser. Setting this flag to true causes HTML characters to be escaped, meaning the raw value of the field (for example `"<b>AAA</b>"`) is displayed to the user rather than the interpreted HTML (for example `"AAA"`)
      Overrides:
        `getEscapeHTML` in class `FormItem`
      Returns:
        Current escapeHTML value. Default value is false
      See Also:
        `Appearance overview and related methods`

    - #### setTextBoxStyle

          public StaticTextItem setTextBoxStyle(java.lang.String textBoxStyle)

      Base CSS class for this item
      Overrides:
        `setTextBoxStyle` in class `FormItem`
      Parameters:
        `textBoxStyle` - New textBoxStyle value. Default value is "staticTextItem"
      Returns:
        `StaticTextItem` instance, for chaining setter calls
      See Also:
        `FormItemBaseStyle`, `Appearance overview and related methods`

    - #### getTextBoxStyle

          public java.lang.String getTextBoxStyle()

      Base CSS class for this item
      Overrides:
        `getTextBoxStyle` in class `FormItem`
      Returns:
        Current textBoxStyle value. Default value is "staticTextItem"
      See Also:
        `FormItemBaseStyle`, `Appearance overview and related methods`

    - #### setWrap

          public StaticTextItem setWrap(java.lang.Boolean wrap)

      If true, item contents can wrap. If false, all the contents should appear on a single line.
      Parameters:
        `wrap` - New wrap value. Default value is true
      Returns:
        `StaticTextItem` instance, for chaining setter calls
      See Also:
        `Appearance overview and related methods`

    - #### getWrap

          public java.lang.Boolean getWrap()

      If true, item contents can wrap. If false, all the contents should appear on a single line.
      Returns:
        Current wrap value. Default value is true
      See Also:
        `Appearance overview and related methods`

    - #### setDefaultProperties

          public static void setDefaultProperties(StaticTextItem staticTextItemProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties of the class instance passed to this function. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `staticTextItemProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`